=== testing/base/CMakeLists.txt ===
# Base concept 

add_morse_test(base_testing)
add_morse_test(renaming_testing)
add_morse_test(builder_wheeled_robot)
add_morse_test(friction_testing)
add_morse_test(levels)

# Sensor

add_morse_test(accelerometer_testing)
add_morse_test(airspeed_testing)
add_morse_test(armature_pose_testing)
add_morse_test(attitude_testing)
add_morse_test(barometer_testing)
add_morse_test(battery_testing)
add_morse_test(depth_camera_testing)
add_morse_test(gps_testing)
add_morse_test(gyroscope_testing)
add_morse_test(magnetometer_testing)
add_morse_test(odometry_testing)
add_morse_test(pose_testing)
add_morse_test(proximity_testing)
add_morse_test(radar_altimeter_testing)
add_morse_test(sick_testing)
add_morse_test(semantic_camera_testing)
add_morse_test(semantic_camera_tag_testing)
add_morse_test(semantic_camera_relative_testing)
add_morse_test(thermometer_testing)
add_morse_test(search_and_rescue_testing)
add_morse_test(velocity_testing)
add_morse_test(video_camera_testing)
add_morse_test(collision_testing)

# Actuator

add_morse_test(armature_testing)
add_morse_test(external_force_testing)
add_morse_test(destination_testing)
add_morse_test(drag_testing)
add_morse_test(gripper_testing)
add_morse_test(light_testing)
add_morse_test(orientation_testing)
add_morse_test(orientation_speed_testing)
add_morse_test(rotorcraft_waypoint_testing)
add_morse_test(steer_force_testing)
add_morse_test(stabilized_quadrirotor_testing)
add_morse_test(teleport_testing)
add_morse_test(vw_testing)
add_morse_test(waypoint_testing)
add_morse_test(xyw_testing)

# Sensor + Actuator 

add_morse_test(ptu_testing)
add_morse_test(multiple_ptu_testing)

# Modifier

add_morse_test(ned_testing)
add_morse_test(utm_testing)
add_morse_test(ecef_testing)
add_morse_test(geodetic_testing)
add_morse_test(pose_noise_testing)
add_morse_test(imu_noise_testing)

# Services

add_morse_test(communication_service_testing)

add_morse_test(socket_sync_testing)
add_morse_test(time_scale_testing)
