=== testing/failures/CMakeLists.txt ===
add_morse_test(invalid_builder_syntax)
