=== testing/human/CMakeLists.txt ===
add_morse_test(human_base)
add_morse_test(human_ik)
add_morse_test(multiple_human)
