=== debian/changelog ===
morse-simulator (1.4-6build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:37:19 +0000

morse-simulator (1.4-6) unstable; urgency=medium

  * Team upload.
  * Drop unneeded build-dependency on python-concurrent.futures
    (Closes: #943185).
  * Add missing build-dependency on dh-python.
  * Upgrade to debhelper-compat (= 12).
  * Add Rules-Requires-Root: no.
  * Update Standards-Version to 4.4.1.
  * Drop unneeded versions for dependencies.
  * Fix up copyright file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Jan 2020 01:11:41 +1100

morse-simulator (1.4-5) unstable; urgency=medium

  * Team upload.

  [ Micha David Rosenbaum ]
  * Fix the FTBFS by replacing pngmath with imgmath Sphinx module.
    (Closes: #921897)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11
  * Document skip upstream build time test
  * Secure URI in d/copyright
  * Add debian/gbp.conf: pristine-tar = False

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 10:52:14 +0100

morse-simulator (1.4-4) unstable; urgency=medium

  * Rename the variable to build with python 3.7
    (Closes: #904343)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Jan 2019 19:04:06 +0100

morse-simulator (1.4-3) unstable; urgency=medium

  * Fix the FTBFS by adding the version.py file from usptream
    (Closes: #853557)
  * Package moved on salsa
  * Standards-Version updated to 4.1.3
  * Move to compat mode 8
  * Fix priority-extra-is-replaced-by-priority-optional
  * Explicit python3-setuptools as dep
  * Rename morse => morsesim to avoid a conflict
    For now, it still contains a symlink from morse to morseim
    I will remove it later.
    (Closes: #861028)
  * Disable the sphinx ext vimeo & gallery until
    https://github.com/morse-simulator/morse/issues/792 is fixed

  [ Séverin Lemaignan ]
  * Relax the need for Sphinx 1.3 as the original issue (#792711) has been
    fixed upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Apr 2018 18:40:27 +0200

morse-simulator (1.4-2) unstable; urgency=medium

  * Fix a bad dependency (numpy)
  * Update the minimal version of Blender (2.64)
  * Update the minimal version of Python (3.3)

  [ Séverin Lemaignan ]
  * Moved to github
  * Update of the homepage
  * Update of the VCS field

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 17 Feb 2016 12:09:21 +0100

morse-simulator (1.4-1) unstable; urgency=medium

  * New upstream release
  * Add numpy as dependency
  * Add --fail-missing to dh_install

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Feb 2016 10:47:06 +0100
