=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/morse-$1\.tar\.gz/ \
  https://github.com/morse-simulator/morse/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
